> ## Documentation Index
> Fetch the complete documentation index at: https://agentrail.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Read the leaderboard: companies ranked by agent-readiness score, with their movement over 7 days



## OpenAPI

````yaml /api-reference/openapi.json get /v1/leaderboard
openapi: 3.0.3
info:
  title: Agentrail API
  version: 0.0.0
servers: []
security: []
tags:
  - name: Leaderboard
  - name: Feedback
paths:
  /v1/leaderboard:
    get:
      tags:
        - Leaderboard
      summary: >-
        Read the leaderboard: companies ranked by agent-readiness score, with
        their movement over 7 days
      operationId: listLeaderboard
      parameters:
        - schema:
            type: string
            maxLength: 120
            pattern: ^[a-z0-9]+(-[a-z0-9]+)*$
          in: query
          name: category
          required: false
        - schema:
            type: string
            enum:
              - include
          in: query
          name: community
          required: false
        - schema:
            type: string
            minLength: 1
            maxLength: 120
          in: query
          name: q
          required: false
        - schema:
            default: score
            type: string
            enum:
              - score
              - company
              - category
              - scanned
          in: query
          name: sort
          required: false
        - schema:
            type: string
            enum:
              - asc
              - desc
          in: query
          name: order
          required: false
        - schema:
            type: string
            minLength: 1
            maxLength: 2048
          in: query
          name: cursor
          required: false
        - schema:
            default: 50
            type: integer
            minimum: 1
            maximum: 100
          in: query
          name: limit
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        rank:
                          type: integer
                          minimum: 0
                          exclusiveMinimum: true
                          maximum: 9007199254740991
                        company:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            name:
                              type: string
                              minLength: 1
                            website:
                              type: string
                              format: uri
                            domain:
                              type: string
                              minLength: 1
                            category:
                              nullable: true
                              type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                name:
                                  type: string
                                  minLength: 1
                                slug:
                                  type: string
                                  maxLength: 120
                                  pattern: ^[a-z0-9]+(-[a-z0-9]+)*$
                              required:
                                - id
                                - name
                                - slug
                              additionalProperties: false
                            source:
                              type: string
                              enum:
                                - curated
                                - community
                          required:
                            - id
                            - name
                            - website
                            - domain
                            - category
                            - source
                          additionalProperties: false
                        score:
                          type: integer
                          minimum: 0
                          maximum: 100
                        grade:
                          type: string
                          enum:
                            - A+
                            - A
                            - B
                            - C
                            - D
                            - F
                        scoreChange7d:
                          nullable: true
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        rankChange7d:
                          nullable: true
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        newThisWeek:
                          type: boolean
                        scannedAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                      required:
                        - rank
                        - company
                        - score
                        - grade
                        - scoreChange7d
                        - rankChange7d
                        - newThisWeek
                        - scannedAt
                      additionalProperties: false
                  nextCursor:
                    nullable: true
                    type: string
                    minLength: 1
                    maxLength: 2048
                  total:
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                required:
                  - items
                  - nextCursor
                  - total
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '409':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '413':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '422':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '502':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
        '503':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    minLength: 1
                  message:
                    type: string
                    minLength: 1
                  requestId:
                    type: string
                    minLength: 1
                required:
                  - code
                  - message
                  - requestId
                additionalProperties: false
      security: []
      servers:
        - url: https://api.agentrail.co

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.